- libbson 1.13.1 »
- API Reference

# System Clock

BSON Clock Abstraction

## Synopsis

    int64_t
    bson_get_monotonic_time (void);
    int
    bson_gettimeofday (struct timeval *tv,
                       struct timezone *tz);

## Description

The clock abstraction in Libbson provides a cross-platform way to handle timeouts within the BSON library. It abstracts the differences in implementations of `gettimeofday()` as well as providing a monotonic (incrementing only) clock in microseconds.

## Functions

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.